Topic: Installing Rails on Win2K --> Invalid option: -ocal

i followed the instructions from this website, to install rails for offline development (i don't have any other option for now) ---> http://angrys0ul.com/blog/2007/04/25/ho … indows-pc/

and this is what i get:

C:\rails>gem install rails-1.2.3 -local
ERROR:  While executing gem ... (OptionParser::InvalidOption)
    invalid option: -ocal



i'm a newbie. i started coding in ruby a few months ago, and i was going to start with rails today, but i can't seem to get it installed.

Re: Installing Rails on Win2K --> Invalid option: -ocal

gem install rails --include-dependencies

Re: Installing Rails on Win2K --> Invalid option: -ocal

Microsoft Windows 2000 [Version 5.00.2195]
(C) Copyright 1985-1999 Microsoft Corp.

C:\>cd rails

C:\rails>gem install rails --include-dependencies
ERROR:  While executing gem ... (RuntimeError)
    Error instaling rails:
        rails requires activesupport = 1.4.2

C:\rails>gem install activesupport
Successfully installed activesupport, version 1.4.2
Installing ri documentation for activesupport-1.4.2...
Installing RDoc documentation for activesupport-1.4.2...

C:\rails>gem install rake
Successfully installed rake, version 0.7.3
Installing ri documentation for rake-0.7.3...
Installing RDoc documentation for rake-0.7.3...

C:\rails>gem install activerecord
Successfully installed activerecord, version 1.15.3
Installing ri documentation for activerecord-1.15.3...
Installing RDoc documentation for activerecord-1.15.3...

C:\rails>gem install actionpack
Successfully installed actionpack, version 1.13.3
Installing ri documentation for actionpack-1.13.3...
Installing RDoc documentation for actionpack-1.13.3...

C:\rails>gem install actionmailer
Successfully installed actionmailer, version 1.3.3
Installing ri documentation for actionmailer-1.3.3...
Installing RDoc documentation for actionmailer-1.3.3...

C:\rails>gem install actionwebservice
Successfully installed actionwebservice, version 1.2.3
Installing ri documentation for actionwebservice-1.2.3...
Installing RDoc documentation for actionwebservice-1.2.3...

C:\rails>gem install rails --include-dependencies
Successfully installed rails, version 1.2.3

C:\rails>



MARRY ME!!!!!!!!!!! big_smile

Re: Installing Rails on Win2K --> Invalid option: -ocal

Hi *

I have followed the steps above but something happened and I'm confused if it is ok or not:-( ??


D:\rails>gem install rails -include-dependencies
Successfully installed rails, version 1.2.3
ERROR:  While executing gem ... (Gem::RemoteFetcher::FetchError)
    Bad file descriptor - connect(2)(Errno::EBADF)

D:\rails>rails -v
Rails 1.2.3

thx for help:-)

Last edited by palike (2007-06-11 13:09:11)